New iso images of SparkyLinux 4.1 are ready to go.
Sparky 4 is based on and fully compatible with Debian testing “Stretch”.

It’s the first update of SparkyLinux 4.x, which provides a few important changes, such as:
– full system upgrade from Debian testing repository as of 27/28 Sep 2015
– Linux kernel 4.1.6
– GCC 5.2.1
– systemd 226
– Plasma Desktop 5
– LibreOffice 5.0.1

Other changes:
– ‘Base’ Edition – ‘lxpolkit’ has been replaced by ‘policykit-1-gnome’
– deprecated Flash Player plugin removed – still can be installed via Sparky-Codecs tool or Synaptic
– added new package: ecryptfs-utils

The iso images are available in a few flavors, such as :
Full Edition – full set of applications for daily usage, wireless drivers, multimedia codecs and plugins:
– LXDE (lxde-common 0.99.0)
– LXQt (lxqt-common 0.9.1)
– KDE (Plasma Desktop 5.4.1)
– MATE 1.10.2
– Xfce 4.12.1

Base Edition – only the base system, lightweight desktop, wireless drivers and a few applications:
– Enlightenment 0.19.11
– JWM 2.1.0
– Openbox 3.6.1

CLI Edition – (Command Line Interface) – core system, wireless drivers and a few, text mode applications.
If you have SparkyLinux installed on a hard drive, make full system upgrade via ‘System Upgrade’ or Synaptic, or manually if you like:
sudo apt-get update
sudo apt-get dist-upgrade
sudo apt-get install -f

Users of KDE edition should install ‘plasma-desktop’ package as well.

If the upgrade made some problems for you, I suggest to backup your personal data and make fresh Sparky installation.

Iso images of Sparky can be downloaded from the download page: http://sparkylinux.org/download

Thank’s for voting and your feedback which have been left at the last pull.
Next SparkyLinux 4.2 images are expected on the end of December 2015.

Known issues:
– there is Plasma 5 wallpaper loaded as default in KDE 64 bit edition, instead of Sparky’s wallpaper 🙁
– the live installer’s autologin option doesn’t work in the KDE edition.

If you like Sparky, don’t forget to send small tip to keep Sparky alive.